Subject: Re: bug#35523: 26.1.92; Please add "PIN" to password-word-equivalents

From: Noam Postavsky <[email-masked]>
Date: Sat, 04 May 2019 13:42:02 -0400

severity 35523 minor
tags 35523 + patch
quit

Eric Hanchrow <[email-masked]> writes:

> Where I work, I often run a command that prompts me like this:
>
>     PIN for erichan:
>
> The current default value of comint-password-prompt-regexp doesn't hide
> my typing, but I imagine it would if "PIN" were one of the elements of
> password-word-equivalents.

So technicalities of (re)setting custom option values aside, anyone have
objections to adding "pin" to password-word-equivalents?

>From a5382d158fd2d047c73f018b6fc8d0a2888f57a0 Mon Sep 17 00:00:00 2001
From: Noam Postavsky <[email-masked]>
Date: Sat, 4 May 2019 13:20:42 -0400
Subject: [PATCH] Add "pin" to password-word-equivalents (Bug#35523)

* lisp/international/mule-conf.el (password-word-equivalents): Add "pin".
---
 lisp/international/mule-conf.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/international/mule-conf.el b/lisp/international/mule-conf.el
index c84dc819d1..69a505d306 100644
--- a/lisp/international/mule-conf.el
+++ b/lisp/international/mule-conf.el
@@ -1585,7 +1585,7 @@ (aset latin-extra-code-table ?\225 t)
 (aset latin-extra-code-table ?\226 t)
 
 (defcustom password-word-equivalents
-  '("password" "passcode" "passphrase" "pass phrase"
+  '("password" "passcode" "passphrase" "pass phrase" "pin"
     ; These are sorted according to the GNU en_US locale.
     "암호"		; ko
     "パスワード"	; ja
@@ -1636,7 +1636,7 @@ (defcustom password-word-equivalents
 English.  Different case choices should not be assumed to be
 included; callers should bind `case-fold-search' to t."
   :type '(repeat string)
-  :version "24.4"
+  :version "27.1"
   :group 'processes)
 
 ;; The old code-pages library is obsoleted by coding systems based on
-- 
2.11.0